package dashboard

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/dashboard"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /dashboard/wx dashboard GetWxs
//
// get wxs | 获取图表数据
//
// get wxs | 获取图表数据
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: WxReq
//
// Responses:
//  200: WxResp

func GetWxsHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.WxReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := dashboard.NewGetWxsLogic(r.Context(), svcCtx)
		resp, err := l.GetWxs(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
